---
import Layout from "../layouts/Layout.astro";
import Card from "../components/Card.astro";
import { DogpatchAPIService } from "../utilities/DogpatchAPIService";

let dpapi = new DogpatchAPIService();
const complexities = await dpapi.getComplexities();
const playTypes = await dpapi.getPlayTypes();
---

<Layout title="Inventory">
  <main>
    <h1 class="text-gradient">Dogpatch Inventory</h1>
    <div class="container">
      <div class="tbl-header">
        <table>
          <thead>
            <tr>
              <th class="th-thin">ID</th>
              <th class="th-thin">Complexity</th>
              <th class="th-thin">Complexity Code</th>
              <th class="th-wide">Description</th>
              <th class="th-wide">Examples</th>
            </tr>
          </thead>
        </table>
      </div>
      <div class="tbl-content">
        <table>
          <tbody>
            {
              complexities.map((complexity) => (
                <tr>
                  <td class="td-thin">{complexity.id}</td>
                  <td class="td-thin">{complexity.complexity}</td>
                  <td class="td-thin">{complexity.complex_code}</td>
                  <td class="td-wide">{complexity.description}</td>
                  <td class="td-wide">{complexity.examples}</td>
                </tr>
              ))
            }
          </tbody>
        </table>
      </div>
    </div>
    <div class="container">
      <div class="tbl-header">
        <table>
          <thead>
            <tr>
              <th class="th-thin">ID</th>
              <th class="th-thin">Play Type</th>
              <th class="th-thin">Type Code</th>
              <th class="th-wide">Description</th>
              <th class="th-wide">Examples</th>
            </tr>
          </thead>
        </table>
      </div>
      <div class="tbl-content">
        <table>
          <tbody>
            {
              playTypes.map((playType) => (
                <tr>
                  <td class="td-thin">{playType.id}</td>
                  <td class="td-thin">{playType.play_type}</td>
                  <td class="td-thin">{playType.type_code}</td>
                  <td class="td-wide">{playType.description}</td>
                  <td class="td-wide">{playType.examples}</td>
                </tr>
              ))
            }
          </tbody>
        </table>
      </div>
    </div>
  </main>
</Layout>

<style>
  :root {
    --astro-gradient: linear-gradient(0deg, #4f39fa, #da62c4);
  }

  h1 {
    margin: 2rem 0;
    text-align: center;
  }

  main {
    margin: auto;
    padding: 1em;
  }

  .text-gradient {
    font-weight: 900;
    background-image: var(--astro-gradient);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-size: 100% 200%;
    background-position-y: 100%;
    border-radius: 0.4rem;
    animation: pulse 4s ease-in-out infinite;
  }

  @keyframes pulse {
    0%,
    100% {
      background-position-y: 0%;
    }
    50% {
      background-position-y: 80%;
    }
  }

  .instructions {
    line-height: 1.6;
    margin: 1rem 0;
    background: #4f39fa;
    padding: 1rem;
    border-radius: 0.4rem;
    color: var(--color-bg);
  }

  .instructions code {
    font-size: 0.875em;
    border: 0.1em solid var(--color-border);
    border-radius: 4px;
    padding: 0.15em 0.25em;
  }

  .link-card-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(24ch, 1fr));
    gap: 1rem;
    padding: 0;
  }

  table {
    width: 100%;
    table-layout: fixed;
  }
  .tbl-header {
    background-color: rgba(255, 255, 255, 0.3);
  }
  .tbl-content {
    max-height: 600px;
    overflow-x: auto;
    margin-top: 0px;
    border: 1px solid rgba(255, 255, 255, 0.3);
  }
  .th-thin {
    width: 10%;
    padding: 20px 15px;
    text-align: left;
    font-weight: 500;
    font-size: 22px;
    color: #fff;
    text-transform: uppercase;
  }
  .th-wide {
    width: 35%;
    padding: 20px 15px;
    text-align: left;
    font-weight: 500;
    font-size: 22px;
    color: #fff;
    text-transform: uppercase;
  }
  .td-thin {
    width: 10%;
    padding: 15px;
    text-align: left;
    vertical-align: middle;
    font-weight: 300;
    font-size: 17px;
    color: #fff;
    border-bottom: solid 1px rgba(255, 255, 255, 0.1);
  }
  .td-wide {
    width: 35%;
    padding: 15px;
    text-align: left;
    vertical-align: middle;
    font-weight: 300;
    font-size: 17px;
    color: #fff;
    border-bottom: solid 1px rgba(255, 255, 255, 0.1);
  }
  .table-row {
    display: table-row;
  }

  /* demo styles */

  @import url(https://fonts.googleapis.com/css?family=Roboto:400,500,300,700);
  .container {
    margin: 50px;
    background: -webkit-linear-gradient(left, #1f3fdd, #021975);
    background: linear-gradient(to right, #1f3fdd, #021975);
    font-family: "Roboto", sans-serif;
  }

  /* for custom scrollbar for webkit browser*/

  ::-webkit-scrollbar {
    width: 6px;
  }
  ::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  }
  ::-webkit-scrollbar-thumb {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  }
</style>
